com.example.labstatus

## Class SettingsActivity.SettingsFragment

- java.lang.Object
- - androidx.fragment.app.Fragment
  - - androidx.preference.PreferenceFragmentCompat
    - - com.example.labstatus.SettingsActivity.SettingsFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.view.View.OnCreateContextMenuListener, androidx.lifecycle.LifecycleOwner, androidx.lifecycle.ViewModelStoreOwner, androidx.preference.DialogPreference.TargetFragment, androidx.preference.PreferenceManager.OnDisplayPreferenceDialogListener, androidx.preference.PreferenceManager.OnNavigateToScreenListener, androidx.preference.PreferenceManager.OnPreferenceTreeClickListener, androidx.savedstate.SavedStateRegistryOwner
  Enclosing class:
    SettingsActivity

      public static class SettingsActivity.SettingsFragment
      extends androidx.preference.PreferenceFragmentCompat

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class androidx.preference.PreferenceFragmentCompat

      `androidx.preference.PreferenceFragmentCompat.OnPreferenceDisplayDialogCallback, androidx.preference.PreferenceFragmentCompat.OnPreferenceStartFragmentCallback, androidx.preference.PreferenceFragmentCompat.OnPreferenceStartScreenCallback`

    - ### Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

      `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

  - ### Field Summary

    - ### Fields inherited from class androidx.preference.PreferenceFragmentCompat

      `ARG_PREFERENCE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCreatePreferences(android.os.Bundle savedInstanceState, java.lang.String rootKey)`

    - ### Methods inherited from class androidx.preference.PreferenceFragmentCompat

      `addPreferencesFromResource, findPreference, getCallbackFragment, getListView, getPreferenceManager, getPreferenceScreen, onBindPreferences, onCreate, onCreateAdapter, onCreateLayoutManager, onCreateRecyclerView, onCreateView, onDestroyView, onDisplayPreferenceDialog, onNavigateToScreen, onPreferenceTreeClick, onSaveInstanceState, onStart, onStop, onUnbindPreferences, onViewCreated, scrollToPreference, scrollToPreference, setDivider, setDividerHeight, setPreferenceScreen, setPreferencesFromResource`

    - ### Methods inherited from class androidx.fragment.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SettingsFragment

          public SettingsFragment()

  - ### Method Detail

    - #### onCreatePreferences

          public void onCreatePreferences(android.os.Bundle savedInstanceState,
                                          java.lang.String rootKey)

      Specified by:
        `onCreatePreferences` in class `androidx.preference.PreferenceFragmentCompat`